"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.request = void 0;
const RequestParameterExtractor_1 = require("../../../parameters/RequestParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects a the current HTTP request context as a parameter value.
 *
 * Value passed to the method will be of type `Request` from the lambda-api package.
 */
function request(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new RequestParameterExtractor_1.RequestParameterExtractor();
}
exports.request = request;
//# sourceMappingURL=request.js.map