"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.response = void 0;
const ResponseParameterExtractor_1 = require("../../../parameters/ResponseParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects a the current HTTP response context as a parameter value.
 *
 * Value passed to the method will be of type `Response` from the lambda-api package.
 */
function response(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new ResponseParameterExtractor_1.ResponseParameterExtractor();
}
exports.response = response;
//# sourceMappingURL=response.js.map