import { ApiBodyInfo } from "./ApiBodyInfo";
import { ApiOperation } from "./ApiOperation";
import { ApiBody } from "./ApiBody";
import { IDictionary } from "../../util/IDictionary";
/**
 * Describes an API endpoint.
 */
export declare class ApiOperationInfo extends ApiOperation {
    /**
     * Get the HTTP request info.
     */
    getOrCreateRequest(): ApiBodyInfo;
    /**
     * Copy valid properties from another instance.
     */
    mergeInfo(otherInstance: ApiOperation): void;
    /**
     * Copy valid properties from another instance responses.
     *
     * See [[ApiBodyInfo]]
     */
    mergeResponses(otherResponses: IDictionary<ApiBody>): void;
}
